Subject: Re: [Bitcoin-development] Payment Protocol: BIP 70, 71, 72

From: Mike Hearn <[email-masked]>
Date: Tue, 24 Sep 2013 15:52:24 +0200

BTW, on the "make qrcodes more scannable" front -- is it too late to change
BIP 72 so the new param is just "r" instead of "request"? Every byte helps
when it comes to qrcodes ...

On Tue, Aug 20, 2013 at 12:05 PM, Mike Hearn <[email-masked]> wrote:

> I think the confidence of the tx is not really the users concern anyway.
> They wrote it so they know it's valid. If the merchant disagrees for some
> reason then the user can find out, out of band when the goods/services are
> not delivered.
>
>
> On Tue, Aug 20, 2013 at 1:19 AM, Gavin Andresen <[email-masked]>wrote:
>
>> On Tue, Aug 20, 2013 at 8:15 AM, Andreas Petersson <[email-masked]>wrote:
>>
>>> I was just reviewing the integration work to integrate the Payment
>>> Protocol into our products. Is there any notion of a standardized
>>> invoice serialisation? If i pay for two Burgers and one Club Mate, how
>>> would my Bitcoin Wallet be able to know that?
>>
>>
>> No. There are XML-based (shudder) standards for electronic invoicing that
>> include all sorts of bells and whistles; the PaymentDetails message could
>> easily encapsulate one of them in an 'invoice' field extension. Or we could
>> reinvent the wheel and come up with our own, but I'd rather use an existing
>> standard (or maybe a subset of an existing standard).
>>
>> I didn't want to wade into that swamp for the 1.0 version of the payment
>> protocol.
>>
>>
>>> Right now, i would simply
>>> put that into "memo" and come up with my own serialisation mechanism.
>>>
>>
>> "Two Burgers, one Club Mate" seems pretty user-friendly.
>>
>>  Second, is there a way to communicate acceptance levels of TX
>>> (unconfirmed, 1 conf, 6 conf) maybe using several PaymentACK?
>>>
>>
>> No, because the Payment->PaymentACK communication round-trip is done in
>> one, non-persistent http request-response round-trip.
>>
>> I don't think we want to allow merchants to push messages to the wallet
>> (wouldn't take long for merchants to use the opportunity to push annoying
>> advertising at me, I think), and I don't think we want wallets to poll the
>> merchant. Although maybe a payment protocol version 2.0 feature could be a
>> PaymentACK extension that says "ask me how the transaction is going at THIS
>> URL in THIS many minutes."
>>
>> --
>> --
>> Gavin Andresen
>>
>>
>> ------------------------------------------------------------------------------
>> Introducing Performance Central, a new site from SourceForge and
>> AppDynamics. Performance Central is your source for news, insights,
>> analysis and resources for efficient Application Performance Management.
>> Visit us today!
>>
>> http://pubads.g.doubleclick.net/gampad/clk?id=48897511&iu=/4140/ostg.clktrk
>> _______________________________________________
>> Bitcoin-development mailing list
>> [email-masked]
>> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>>
>>
>